Subject: Win32 aPI calls at a GUI Application
From: [email-masked] (Martin Bachem)

12 Aug 1998 18:46:24 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 8BIT
To: [email-masked]

Hello you out there. 

A console Application (like printf("hello sucking world")) wasn't a problem, but 
I want to write little Win32 Api Applications GUI Applications !
The FAQ reports about the master option "-mwindows", but this doesn't work. 
The uptdate to CygWin b19.1 doenst change that.
API Functions like MessageBox are undefined !
I have all environement Variables set (MAKE_MODE switched to Win32) and doen't 
know how to face it.
Is anyone there who can help me ? (I hope so ...) 

ThanX for hearing me
  Martin 

My private EMail Address is : [email-masked]

////////////////////////////////////////////////////////////////////////////////

d:\projekte\gnu_c>gcc TEST01.C -mwindows 
cc1plus.exe: Invalid option `windows' 

////////////////////////////////////////////////////////////////////////////////

d:\projekte\gnu_c>gcc TEST01.C -Wl,--subsystem,windows 
/tmp/GNU_C/H-I386~1/i386-cygwin32/bin/ld.exe: warning: cannot find entry symbol 
_WinMainCRTStartup; defaulting to 00401000 
C:\WIN98\TEMP\cc0010001.o(.text+0x32):TEST01.cc: undefined reference to 
`Message 
BoxA@16' 

////////////////////////////////////////////////////////////////////////////////

#include <winbase.h> 

int WinMain(HINSTANCE hCurInstance, HINSTANCE hPrevInstance, LPSTR 
lpCmdLine 
t nCmdShow) 
{ 
  MessageBox(0, "Gnu forever !", "Damned !!! Thos dosn't werk !!!",MB_OK); 
  return(1); 
} 

////////////////////////////////////////////////////////////////////////////////

environment variables : 

MAKE_MODE=win32 
CYGFS=d:/gnu_c 
GCC_EXEC_PREFIX=d:\GNU_C\H-I386~1\lib\gcc-lib\ 
TCL_LIBRARY=\share\tcl8.0\ 
GDBTK_LIBRARY=d:/gnu_c/share/gdbtcl 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".